---
title: Create New API Key
url: https://docs.vultr.com/platform/other/api/other-user/create-api-key
description: Create and manage Vultr API keys for other users with admin credentials securely.
publish_date: 2025-09-17T16:58:40.922750Z
last_updated: 2025-09-17T16:58:58.788318Z
---

Creating an additional API key for a user allows you to isolate access per integration, improving security and simplifying credential management. This enables better access control and easier rotation of credentials.

> [!NOTE]
> This guide covers creating API Keys for other users linked to the same Vultr account and requires root or administrator credentials to perform these actions

Follow this guide to create a user API key using the Vultr Console or Vultr API.

=== "Vultr Console"

    1. Navigate to **Account** and select **Users** under **OTHER**.
    1. Select the user from the list and click the **Edit User** icon.
    1. In **User Access Tokens** section, enter a **Name**, choose an API key **Expiry** option, and set the **Expiry On** date.
    1. Click **Add Key **to create the new API key.
    1. Copy and store the new API key securely, as you cannot view it again.

=== "Vultr API"

    1. Send a `GET` request to the [**Get Users** endpoint](https://www.vultr.com/api/#tag/users/operation/list-users) to list all users.

        ```console
        $ curl "https://api.vultr.com/v2/users" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        Note the `id` of the user for whom you want to create an API key.

    1. Send a `POST` request to the [**Create User API Key** endpoint](https://www.vultr.com/api/#tag/users/operation/create-user-api-key) and specify the user ID to create a new API key for the target user.

        ```console
        $ curl "https://api.vultr.com/v2/users/{user-id}/apikeys" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "name": "<api-key-name>",
                "expire": true,
                "date_expire": "2030-01-01T00:00:00Z"
            }'
        ```

        The response includes the newly generated API key in plain text. This is the only time the key is visible. Copy and store it in a secure location as you cannot view or recover it later from the portal or API.